.TH backup n 2.3 Burt "Burt Built-In Commands"
.SH NAME
backup \- Control Burt backups.
.SH SYNOPSIS
.B backup
.I option
.I arg
.I ?arg
.I ...?

.SH DESCRIPTION
Performs on of several backup operations, depending on
.I option.  
The legal 
.I options 
(which may be abbreviated) are:

.B backup start
.I channels
.I outputchannel
.I logchannel
.I tapelabel
.B backup append
.I channels
.I outputchannel
.I logchannel
.I tapelabel
.RS
Start backups of all items scheduled with the schedule(n)
command.  
.I channels 
specifies the number of parallel channels to use when writing to 
.I outputchannel.
The output of the backup is sent to
.I outputchannel
which must be a valid Tcl channel opened for reading and writing.   
Logging and error information is sent to
.I logchannel
which must be a valid Tcl channel opened for writing.  If using
.B backup start
the tape is rewound to the beginning of the reel and the label
.I tapelabel
is written to the output channel before starting the backup.  If using
.B backup append
the tape is advanced to the end of the data on the tape and no label is
written before starting the backup.

backup is an event driven command.  It will not
begin until Tcl drops into an event loop, either via vwait, or by default
in a wish-based shell.  See vwait(n) for more information.  
In this way its behavior is much like fileevent(n).

backup requires that a backup procedure and a backupmonitor procedure
be registered for each dump type of which at least one item is scheduled.  
See register_backup_proc(n) and register_backupmonitor_proc(n).

Status of a running backup can be obtained using the status(n) command.
.RE

.B backup stop
.RS
Stop the current backup run after allowing currently running items to complete.
Note: it is not generally safe
to stop and then start a backup; a start will place another tapelabel at the
current tape location, and the tape will not be useable unless it was opened
in a non-rewind mode.  The safest option after a stop is to start with
a new tape, allowing the remaining items in the schedule queue to be backed
up onto the new media.
.RE

.B backup abort
.RS
Abort the current backup run without allowing currently running items to 
complete. Backup runs which are aborted cannot be considered usable in the 
general case.
.RE

.SH SEE ALSO
schedule(n), register_backup_proc(n), register_backupmonitor_proc(n), status(n)
