.TH readtape n 2.3 Burt "Burt Built-In Commands"
.SH NAME
readtape \- Verify and build a Table of Contents of a Burt backup tape.
.SH SYNOPSIS
.B readtape
.I option
.I inputchannel
.I outputchannel

.SH DESCRIPTION
readtape reads data from a tape.  Data is read from
.I inputchannel 
and logging and error information is written to 
.I outputchannel.

Legal 
.I options 
are:

.B readtape label
.I inputchannel
.I outputchannel
.RS
Read and return the tape label.
.RE

.B readtape toc
.I inputchannel
.I outputchannel
.RS
Read all data on the tape, verifying the integrity of the data by
computing its CRC and comparing that value with the CRC stored on
the tape, computed at the time of the backup.  Returns a table of
contents of the tape as a Tcl list.  Each element of the list 
represents an item which can be restored from the tape.  TOC entries
are of the format

.RS
{host atom level type} tapenumber filemarks
.RE

where {host atom level type} indicates the host from which the backup
was made, the filesystem or volume which was backed up, the level of the 
backup, and the type of the backup; filemarks indicates the number of
filemarks from the beginning of the tape after which the data for
the backup starts; and tapenumber indicates the number of the tape on
which the backup can be found for multi-tape backups.

If any errors are encountered during the reading of the tape, they are
returned and the TOC is not built.  Data on the tape prior to the 
location of the error may be usable.
.RE

.SH SEE ALSO
recover(n)
