.TH \ register_backupmonitor_proc n 2.3 Burt "Burt Commands"
.SH NAME
register_backupmonitor_proc \- register user level Tcl procedure for 
monitoring errors in backups.
.SH SYNOPSIS
.B register_backupmonitor_proc
.I backuptype
.I procname
.SH DESCRIPTION
This command allows a user to register a procedure,
.I procname,
to be called when a stderr channel from a
.I backuptype
backup is encountered.  When the registered procedure is called by Burt
it will be passed 4 arguments:  
.I host, 
.I atom, 
.I level,
and
.I line.
.I host 
is the hostname of the machine being backed up, 
.I atom 
is the filesystem or volume being backed up,
.I level
is the level of this backup,
and
.I line
is the line of dialog from the backup.  It is up to the registerd procedure to 
detrmine if this is harmless dialog or a error which indicates failure of the
backup of specified filesystem or volume.
The procedure must return the number of errors it sees in 
.I line.
Any non-zero return will cause the backup to be aborted by Burt.  Such action
will be noted in the logchannel.

.SH EXAMPLE Backup Monitor Procedure
As an example, here is the backupmonitor procedure used to monitor backups of
the type "ufs" at the University of Wisconsin, Madison, and the call to
register_backupmonitor_proc used to make the procedure visible to Burt:

proc ufs_check {host atom level line} {
    return [regexp {error|Unknown|EXITED|ATTENTION|abort|Bad} $line]
}

register_backupmonitor_proc ufs ufs_check

.SH SEE ALSO
register_backup_proc(n), register_recover_proc(n)

