.TH schedule n 2.3 Burt "Burt Built-In Commands"
.SH NAME
schedule \- Create and manipulate Burt schedule items.
.SH SYNOPSIS
.B schedule
.I option
.I arg
.I ?arg
.I ...?

.SH DESCRIPTION
Performs on of several schedule operations, depending on
.I option.  
The legal 
.I options 
(which may be abbreviated) are:

.B schedule add 
.I host 
.I atom 
.I level 
.I type
.RS
Add the atom specified by 
.I host 
.I atom 
.I level 
and 
.I type 
to the schedule queue.
.I Host
indicates the host from which the backup data comes;
.I atom
indicates the partition or atom which is backed up;
.I level
indicates the level of the backup; and
.I type
indicates the type of the backup.  Backup types must be registered
before backups of that type can be performed; see register_backup_proc(n).
Add ignores duplicate entries.
.RE

.B schedule remove 
.I host 
.I atom 
.I level 
.I type
.RS
Remove 
.I host 
.I atom 
.I level 
and 
.I type 
from the schedule queue.  If the item has not been scheduled, remove returns an
error.
.RE

.B schedule length 
.RS
Return the number of items in the schedule queue.  This is equivalent to

.RS
llength [schedule list]
.RE
.RE

.B schedule list
.RS
Return a Tcl list of the items in the schedule queue.
.RE

.B schedule info
.RS
Return diagnostic information about the internal hash table holding
the schedule items.  Probably not of interest to most users.
.RE

.SH SEE ALSO
register_backup_type(n), register_recover_type(n), backup(n), recover(n)
